Hacking NTR CFW Luma 6.0 Problem

Scoreless Pine

Well-Known Member
OP
Newcomer
Joined
Nov 14, 2015
Messages
82
Trophies
0
Age
23
XP
156
Country
United States
Am I doing something wrong or am I just not understanding this right?

So from what I have heard and from what I understand, when using the latest version of Luma3ds, you do not need a firmware.bin in the /luma/ folder to be able to run NTR, right? All you need is the latest version of BootNTR and ntr.bin which I got from the NTR github page. Even when doing all of that, I still receive an error when trying to load NTR. I repeat the question at the top, Am I doing something wrong?

Also something to note, I don't know if this is intentional or not, but when I start BootNTR, at the very top it says "BootNTR 2.4" when I had just downloaded and installed the version 3.4 from the github...

EDIT: forgot to note that I am using A9LH luma on the latest 3ds version on sysNAND.
EDIT2 (electric boogaloo): I just realized I always post these damn things at 2 in the morning so I will check back when I wake up and hopefully you guys can help me find a solution.
 
Last edited by Scoreless Pine,

Sonic Angel Knight

Well-Known Member
Member
Joined
May 27, 2016
Messages
14,322
Trophies
1
Location
New York
XP
12,288
Country
United States
Yes, I am using the BootNTR.cia provided in the preview2 zip file download on gbatemp and I have a new 3ds xl, so that shouldnt be a problem.
If you have fbi installer 2.4.2 go to the titledb.com in the app and find ntr cfw bootloader, (it should be green if is already installed) press a and reinstall it again. It should look like a 3d rocket. It used to be a banner eith NTRCFW BOOTER written on it.
 

Stevo_l33

Well-Known Member
Member
Joined
Jan 4, 2016
Messages
179
Trophies
0
Age
39
XP
335
Country
United States
It shouldn't matter but where did you put the NTR.bin file? Should be on the root of the card if not already.
 

Scoreless Pine

Well-Known Member
OP
Newcomer
Joined
Nov 14, 2015
Messages
82
Trophies
0
Age
23
XP
156
Country
United States
If you have fbi installer 2.4.2 go to the titledb.com in the app and find ntr cfw bootloader, (it should be green if is already installed) press a and reinstall it again. It should look like a 3d rocket. It used to be a banner eith NTRCFW BOOTER written on it.
So, strangely enough, no it was not green, in fact, it was an entirely different file than the one that i installed from the zip file. I will test this in one minute after I finish installing some other things (because i never had fbi 2.4.1 or 2.4.2 and theres a lot of cool things on the titledb page xD). I will reply back if it is working or not.
It shouldn't matter but where did you put the NTR.bin file? Should be on the root of the card if not already.
Yes I do have it on the root of the SD card, so that isnt the problem.

--------------------- MERGED ---------------------------

Yup! It is working now. Thanks for the help! I just wonder why the cia provided in the official download doesnt work....
 

Sonic Angel Knight

Well-Known Member
Member
Joined
May 27, 2016
Messages
14,322
Trophies
1
Location
New York
XP
12,288
Country
United States
Yup! It is working now. Thanks for the help! I just wonder why the cia provided in the official download doesnt work....
Outdated perhaps? Seriously look at the latest release date of that page on github. People forget to maintain things, even the starter.zip hasn't been updated with the latest homebrew, you have to find the latest homebrew yourself. :blink:
 

astronautlevel

Well-Known Member
Member
Joined
Jan 26, 2016
Messages
4,127
Trophies
0
Location
Maryland
Website
ataber.pw
XP
4,964
Country
United States
Yup! It is working now. Thanks for the help! I just wonder why the cia provided in the official download doesnt work....
Because cell9 quit the scene, so the latest binary in the release.zip is the latest one he made, you have to go to other people's patches if you want ones that work on 11.0.
 

Redirr

X11 Extreme.
Member
Joined
Dec 4, 2014
Messages
539
Trophies
0
Location
São Paulo, Brazil
XP
577
Country
Brazil
So, strangely enough, no it was not green, in fact, it was an entirely different file than the one that i installed from the zip file. I will test this in one minute after I finish installing some other things (because i never had fbi 2.4.1 or 2.4.2 and theres a lot of cool things on the titledb page xD). I will reply back if it is working or not.

Yes I do have it on the root of the SD card, so that isnt the problem.

--------------------- MERGED ---------------------------

Yup! It is working now. Thanks for the help! I just wonder why the cia provided in the official download doesnt work....

Please can you tell me how you solved?

I have the same problem. I read everything post here but didnt find how you did it works.
 

Scoreless Pine

Well-Known Member
OP
Newcomer
Joined
Nov 14, 2015
Messages
82
Trophies
0
Age
23
XP
156
Country
United States
Please can you tell me how you solved?

I have the same problem. I read everything post here but didnt find how you did it works.
So I downloaded the newest version of FBI, version 2.4.2, I opened it and went to TitleDB and on the list you will see something like NTR Bootloader or something like that. Press A and install it and so long as you have the latest ntr.bin and luma3ds versions it should work.
 
  • Like
Reactions: Sonic Angel Knight

Sonic Angel Knight

Well-Known Member
Member
Joined
May 27, 2016
Messages
14,322
Trophies
1
Location
New York
XP
12,288
Country
United States
So I downloaded the newest version of FBI, version 2.4.2, I opened it and went to TitleDB and on the list you will see something like NTR Bootloader or something like that. Press A and install it and so long as you have the latest ntr.bin and luma3ds versions it should work.
Yeah i know, that is what i said. :P
 

Sonic Angel Knight

Well-Known Member
Member
Joined
May 27, 2016
Messages
14,322
Trophies
1
Location
New York
XP
12,288
Country
United States
Old version, not not compatible with luma 6.0

IMG_20160822_012439.jpg

Latest, compatible with luma 6.0
IMG_20160822_012548.jpg
 

astronautlevel

Well-Known Member
Member
Joined
Jan 26, 2016
Messages
4,127
Trophies
0
Location
Maryland
Website
ataber.pw
XP
4,964
Country
United States
Where did you get it from? i got mine at titledb.com
The 3.3 CIA was the one by Shadowtrance, and doesn't support 11.0 NFIRM. The one I made that does support 11.0 NFIRM (the one on titledb.com) just recycles the banner Shadowhand made. So just because it has a 3d banner doesn't mean it supports 11.0 NFIRM :P
 
  • Like
Reactions: KunoichiZ

Sonic Angel Knight

Well-Known Member
Member
Joined
May 27, 2016
Messages
14,322
Trophies
1
Location
New York
XP
12,288
Country
United States
The 3.3 CIA was the one by Shadowtrance, and doesn't support 11.0 NFIRM. The one I made that does support 11.0 NFIRM (the one on titledb.com) just recycles the banner Shadowhand made. So just because it has a 3d banner doesn't mean it supports 11.0 NFIRM :P
Oh, okay excuse me then, i dunno what i am talking about. Since you were the one who made it i guess, not really much choice in asking. :P
 

Redirr

X11 Extreme.
Member
Joined
Dec 4, 2014
Messages
539
Trophies
0
Location
São Paulo, Brazil
XP
577
Country
Brazil
So I downloaded the newest version of FBI, version 2.4.2, I opened it and went to TitleDB and on the list you will see something like NTR Bootloader or something like that. Press A and install it and so long as you have the latest ntr.bin and luma3ds versions it should work.

First of all thank you!!!

But now my question. Why NTR CFW 3.4 from (https://github.com/44670/BootNTR/releases) with
NTR_3.4PREVIEW2_STARTER_KIT.zip

Doesnt work. But from titledb.com works?

de zip hold a outdated version?

So weird... But now it's working, thank sou much.!! So hard do find a clear help!!!
 

Sonic Angel Knight

Well-Known Member
Member
Joined
May 27, 2016
Messages
14,322
Trophies
1
Location
New York
XP
12,288
Country
United States
First of all thank you!!!

But now my question. Why NTR CFW 3.4 from (https://github.com/44670/BootNTR/releases) with
NTR_3.4PREVIEW2_STARTER_KIT.zip

Doesnt work. But from titledb.com works?

de zip hold a outdated version?

So weird... But now it's working, thank sou much.!! So hard do find a clear help!!!
Is outdated and probably won't be updated with support from original dev, someone else has done something to make it work with luma 6.X

Also it may have something to do with luma new feature of the firmware bin not being required or something but i dunno, ask the person who made the app work about it. :)
 

astronautlevel

Well-Known Member
Member
Joined
Jan 26, 2016
Messages
4,127
Trophies
0
Location
Maryland
Website
ataber.pw
XP
4,964
Country
United States
Is outdated and probably won't be updated with support from original dev, someone else has done something to make it work with luma 6.X

Also it may have something to do with luma new feature of the firmware bin not being required or something but i dunno, ask the person who made the app work about it. :)
The problem is that the latest official release requires an outdated firmware (10.2 NFIRM), so in order to get around this we used an outdated firmware.bin with luma. The latest version of luma, however, removed support for loading outdated firmwares via firmware.bin, as NTR works on the latest version.
 

You may also like...

General chit-chat
Help Users
  • No one is chatting at the moment.
    Veho @ Veho: https://www.youtube.com/watch?v=1zsbXosf5FM